# Class PlayerStateChangedEvent

#### Hierarchy (view full)

- BasePlayerEvent
  - PlayerStateChangedEvent

#####
Index

### Constructors

constructor

### Properties

playerState
type

## Constructors

### constructor

- new PlayerStateChangedEvent(playerState): PlayerStateChangedEvent

- #### Parameters

  - playerState: PlayerState

  #### Returns PlayerStateChangedEvent

  Overrides BasePlayerEvent.constructor

## Properties

### `Readonly` playerState

playerState: PlayerState

### `Readonly` type

type: "playerStateChanged" = Events.PlayerStateChanged

Overrides BasePlayerEvent.type